Subject: Re: bug#68235: 29.1.90; Switching tabs stops following process output in selected window

From: Juri Linkov <[email-masked]>
Date: Wed, 17 Jan 2024 18:36:05 +0200

>> Instead of *scratch*, is it possible to display some special buffer
>> that will display the name of the killed buffer, and a button
>> that runs its revert-buffer-function?
>
> We can set up a buffer local variable whose value is a function that
> 'set-window-configuration' would call whenever it finds a window with
> that buffer dead. 'set-window-configuration' would then check whether
> that function correctly returned a live buffer to show in that window.
> If the function succeeded, 'set-window-configuration' could try to
> restore the earlier values of window point and start in the window.  If
> the function failed, 'set-window-configuration' would either delete the
> window or display *scratch* in it.

Probably better to keep this function in a window parameter
like you proposed earlier to restore dired positions.

>> The stored point is not sufficient when saved as a number to the desktop file.
>
> In what sense?  You have a state you store in a desktop file and restore
> from that file.  The stored state is immutable.  If a file whose buffer
> is stored in that state gets modified in between, any positions stored
> in the state must be considered invalid.

Indeed.  And bookmark.el solves the problem of invalid positions
by adding more context: `front-context-string' and `rear-context-string'.